## golang-github-adroll-goamz 0.0~git20170225.0.c5d7d9b

=== sqs/Makefile ===
include $(GOROOT)/src/Make.inc

TARG=launchpad.net/goamz/sqs

GOFILES=\
		sqs.go\
		sign.go\

include $(GOROOT)/src/Make.pkg

GOFMT=gofmt
BADFMT=$(shell $(GOFMT) -l $(GOFILES) 2> /dev/null)

gofmt: $(BADFMT)
		@for F in $(BADFMT); do $(GOFMT) -w $$F && echo $$F; done

ifneq ($(BADFMT),)
ifneq ($(MAKECMDGOALS), gofmt)
#$(warning WARNING: make gofmt: $(BADFMT))
endif
endif

## golang-github-adroll-goamz 0.0~git20150909.0.74fd457

=== debian/changelog ===
golang-github-adroll-goamz (0.0~git20150909.0.74fd457-2) unstable; urgency=medium

  * Note MPL-2.0 on cloudwatch/cloudwatch.go; thanks Thorsten!

 -- Tianon Gravi <tianon@debian.org>  Mon, 14 Sep 2015 19:53:04 -0700

golang-github-adroll-goamz (0.0~git20150909.0.74fd457-1) unstable; urgency=medium

  * Initial release

 -- Tianon Gravi <tianon@debian.org>  Sat, 12 Sep 2015 06:03:32 -0700

=== debian/control ===
Source: golang-github-adroll-goamz
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-gopkg-check.v1-dev | golang-check.v1-dev
Standards-Version: 3.9.6
Homepage: https://github.com/AdRoll/goamz
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-adroll-goamz.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-adroll-goamz.git
XS-Go-Import-Path: github.com/AdRoll/goamz

Package: golang-github-adroll-goamz-dev
Architecture: all
Depends: golang-go,
         golang-gopkg-check.v1-dev | golang-check.v1-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: enables Go programs to interact with Amazon Web Services
 The goamz package enables Go programs to interact with Amazon Web Services.
 .
 This is a fork of the version developed within Canonical with additional
 functionality and services from a number of contributors!
 .
 The API of AWS is very comprehensive, though, and goamz doesn't even scratch
 the surface of it. That said, it's fairly well tested, and is the foundation in
 which further calls can easily be integrated.

## golang-github-adroll-goamz 0.0~git20170225.0.c5d7d9b

=== debian/changelog ===
golang-github-adroll-goamz (0.0~git20170225.0.c5d7d9b-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.0~git20170225.0.c5d7d9b, fixing test failure.
    Closes: #865942
  * Use debhelper v10
  * Use HTTPS URL for d/copyright
  * Update to Standards-Version 4.0.0
  * Use golang-any instead of golang-go

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 04 Jul 2017 16:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-go,
+               golang-any,
                golang-gopkg-check.v1-dev | golang-check.v1-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://github.com/AdRoll/goamz
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-adroll-goamz.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-adroll-goamz.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-adroll-goamz.git
 XS-Go-Import-Path: github.com/AdRoll/goamz
 
 Package: golang-github-adroll-goamz-dev
 Architecture: all
-Depends: golang-go,
-         golang-gopkg-check.v1-dev | golang-check.v1-dev,
+Depends: golang-gopkg-check.v1-dev | golang-check.v1-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: enables Go programs to interact with Amazon Web Services

=== debian/rules ===
#!/usr/bin/make -f

# cloudwatch requires feyeleanor/sets
# dynamodb requires cbroglie/mapstructure and bitly/go-simplejson
export DH_GOLANG_EXCLUDES := \
	cloudwatch \
	dynamodb

export DH_GOLANG_INSTALL_ALL := 1 # need testdata

override_dh_auto_test:
	# "Note: running all tests with the command `go test ./...` will currently fail as tests do not tear down their HTTP listeners."
	set -e; \
		for pkg in $$( \
			cd obj-$(DEB_BUILD_GNU_TYPE)/src; \
			find github.com/AdRoll/goamz -name '*_test.go' \
				| xargs dirname \
				| sort -u \
		); do \
			for excl in $(DH_GOLANG_EXCLUDES); do if [ "$$pkg" != "$${pkg%*$$excl*}" ]; then continue 2; fi; done; \
			DH_GOLANG_BUILDPKG="$$pkg" dh_auto_test; \
		done

%:
	dh $@ --buildsystem=golang --with=golang
